Bug 170372 - Review Request: moodle: A Course Management System
Review Request: moodle: A Course Management System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://moodle.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-10 22:14 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 02:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-10-10 22:14:37 EDT
Spec Name or Url: http://fedora.ivazquez.net/files/extras/moodle.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/moodle-1.5.2-1.src.rpm
Description: Moodle is a course management system (CMS) - a free, Open Source software package designed using sound pedagogical principles, to help educators create effective online learning communities.
Comment 1 Patrice Dumas 2005-10-12 11:45:14 EDT
Just one comment, I think there should be a
Requires: webserver

And a question, why is there:
%define __perl_requires %{nil}
%define __perl_provides %{nil}
Maybe a comment could explain it?
Comment 2 Ignacio Vazquez-Abrams 2005-10-12 16:30:35 EDT
Re the webserver bit, moodle requires php-gd which eventually pulls in httpd. As
for the __perl_* bit, I've added a note.

Updated.
Comment 3 Rahul Sundaram 2005-10-12 20:59:22 EDT
http://www.joomla.com/ seems to be a upstream developer fork. Might want to look
into that
Comment 4 Jason Tibbitts 2005-10-12 21:07:33 EDT
Joomla seems to be a fork of Mambo.  I don't see a link between Mambo and
Moodle, other than vaguely playing in the same space.  Moodle is targeted almost
exclusively at the educational space.
Comment 5 Rahul Sundaram 2005-10-12 21:12:22 EDT
You are right. I was confusing Mambo with Moodle. Never mind
Comment 6 John Mahowald 2005-10-29 23:18:40 EDT
- GPL license good, but need to include a copy of the text
- code not content
- proper chkconfig usage
- consistent macro usage

rpmlint shows a lot of zero length files, mostly .sql. This should be harmless.
Ignoring those still leaves us with:

E: moodle non-standard-uid /var/www/moodle/data apache
E: moodle non-standard-gid /var/www/moodle/data apache
E: moodle non-executable-script /var/www/moodle/web/admin/process_email.php 0644
W: moodle non-conffile-in-etc /etc/httpd/conf.d/moodle.conf
E: moodle non-executable-script /var/www/moodle/web/mod/chat/chatd.php 0644
E: moodle non-executable-script
/var/www/moodle/web/mod/wiki/ewiki/fragments/mkhuge 0644
E: moodle htaccess-file /var/www/moodle/web/auth/shibboleth/.htaccess
W: moodle wrong-file-end-of-line-encoding /usr/share/doc/moodle-1.5.2/README.txt
W: moodle non-conffile-in-etc /etc/cron.d/moodle
E: moodle non-executable-script
/var/www/moodle/web/lib/editor/plugins/SpellChecker/spell-check-logic.cgi 0644
E: moodle wrong-script-end-of-line-encoding
/var/www/moodle/web/lib/editor/plugins/SpellChecker/spell-check-logic.cgi
E: moodle no-chkconfig-line /etc/rc.d/init.d/moodle


None of the localization pacakges have docs, and a few have zero length php file.
Comment 7 Ignacio Vazquez-Abrams 2005-12-10 16:57:19 EST
Updated. I put the editor's spell check plugin into a separate package disabled
by default since it needs Text::Aspell.

http://fedora.ivazquez.net/files/extras/moodle.spec
http://fedora.ivazquez.net/files/extras/moodle-1.5.3-1.src.rpm

(In reply to comment #6)
> E: moodle non-standard-uid /var/www/moodle/data apache
> E: moodle non-standard-gid /var/www/moodle/data apache

Moodle needs to store data on the filesystem.

> E: moodle non-executable-script /var/www/moodle/web/admin/process_email.php 0644

Just a file with a shebang line, no biggie.

> E: moodle non-executable-script /var/www/moodle/web/mod/chat/chatd.php 0644

Interesting, a chat daemon written in PHP. I'm not sure how changing this will
impact Moodle, although I feel it can be done easily enough once the package has
been imported.

> E: moodle non-executable-script
/var/www/moodle/web/mod/wiki/ewiki/fragments/mkhuge 0644

I could easily enough remove this, I suppose. Your call.

> E: moodle htaccess-file /var/www/moodle/web/auth/shibboleth/.htaccess

Needed for shibboleth auth, AFAICT.

> W: moodle non-conffile-in-etc /etc/cron.d/moodle

> None of the localization pacakges have docs, and a few have zero length php file.

There are no non-English docs AFAICS. And I'm relutant to remove the zero-length
files as I don't know how it will affect Moodle.
Comment 8 John Mahowald 2005-12-12 00:32:32 EST
(In reply to comment #7)
> (In reply to comment #6)
> > E: moodle non-standard-uid /var/www/moodle/data apache
> > E: moodle non-standard-gid /var/www/moodle/data apache
> 
> Moodle needs to store data on the filesystem.
>
 
OK, ignoring.

> > E: moodle non-executable-script /var/www/moodle/web/admin/process_email.php 0644
> 
> Just a file with a shebang line, no biggie.
> 
> > E: moodle non-executable-script /var/www/moodle/web/mod/chat/chatd.php 0644
> 
> Interesting, a chat daemon written in PHP. I'm not sure how changing this will
> impact Moodle, although I feel it can be done easily enough once the package has
> been imported.
> 

OK, ignoring, as long as it works without execute bit.

> > E: moodle non-executable-script
> /var/www/moodle/web/mod/wiki/ewiki/fragments/mkhuge 0644
> 
> I could easily enough remove this, I suppose. Your call.
>

Keep. It's of limited use, but no harm done in keeping it.

 
> > E: moodle htaccess-file /var/www/moodle/web/auth/shibboleth/.htaccess
> 
> Needed for shibboleth auth, AFAICT.

OK.

> 
> > W: moodle non-conffile-in-etc /etc/cron.d/moodle
> 
> > None of the localization pacakges have docs, and a few have zero length php
file.
> 
> There are no non-English docs AFAICS. And I'm relutant to remove the zero-length
> files as I don't know how it will affect Moodle.

OK.


Ignoring all those and rpmlint doesn't like the 0755 perms on moodle init scripe
but matches those on my system.


- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- locales handled with the sub packages
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- works, imported sucessfully into mysql

APPROVED
Comment 9 Ignacio Vazquez-Abrams 2005-12-13 02:03:06 EST
Built for FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.